This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882186 - pykickstart: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
pykickstart: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-30 06:03 EST by Kay Sievers
Modified: 2012-12-06 14:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 14:28:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2012-11-30 06:03:14 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found:
 lang.py: f = open(instroot + "/etc/sysconfig/i18n", "w+")

Please update the package for the new config files.

The old files are converted and deleted from the system at update time.
If reading the old files is still supported, please make sure they are
never created again.

Thanks!
Comment 1 Chris Lumens 2012-12-06 14:28:41 EST
Removed.  To the best of my knowledge, nothing is even using this method.  Also, pykickstart's really not the best place for this information.

Note You need to log in before you can comment on or make changes to this bug.